[Buildroot] [PATCH v1 12/30] package/libcef: Add option to enable VA-API HW acceleration.

Michael Drake michael.drake at codethink.co.uk
Thu Dec 5 17:14:59 UTC 2019


Cc: Patrick Glaser <pglaser at tesla.com>
Cc: Jon duSaint <jdusaint at tesla.com>
Cc: Enis Lavery <elavery at tesla.com>
Signed-off-by: Michael Drake <michael.drake at codethink.co.uk>
Signed-off-by: Thomas Preston <thomas.preston at codethink.co.uk>
---
 package/libcef/Config.in | 7 +++++++
 package/libcef/libcef.mk | 7 +++++++
 2 files changed, 14 insertions(+)

diff --git a/package/libcef/Config.in b/package/libcef/Config.in
index e74ed961f6..b4f76e1dbe 100644
--- a/package/libcef/Config.in
+++ b/package/libcef/Config.in
@@ -94,4 +94,11 @@ config BR2_PACKAGE_LIBCEF_CEFSIMPLE
 	help
 	  Enables libcef example application cefsimple.
 
+config BR2_PACKAGE_LIBCEF_VAAPI
+	bool "Enable va-api support in libcef."
+	depends on BR2_x86_64
+	select BR2_PACKAGE_LIBVA
+	help
+	  Enables VA-API-based hardware acceleration.
+
 endif
diff --git a/package/libcef/libcef.mk b/package/libcef/libcef.mk
index c555f0d85b..bc616b6923 100644
--- a/package/libcef/libcef.mk
+++ b/package/libcef/libcef.mk
@@ -214,6 +214,13 @@ else
 LIBCEF_GN_DEFINES += use_pulseaudio=false
 endif
 
+ifeq ($(BR2_PACKAGE_LIBCEF_VAAPI),y)
+LIBCEF_GN_DEFINES += use_vaapi=true
+LIBCEF_DEPENDENCIES += libva
+else
+LIBCEF_GN_DEFINES += use_vaapi=false
+endif
+
 ifeq ($(BR2_PACKAGE_LIBCEF_CEFSIMPLE),y)
 LIBCEF_BUILD_TARGETS += cefsimple
 define LIBCEF_INSTALL_CEFSIMPLE
-- 
2.20.1



More information about the buildroot mailing list